Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/cqp/pager.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/cqp/pager.groovy	(revision 0)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/cqp/pager.groovy	(revision 803)
@@ -0,0 +1,354 @@
+package org.txm.importer.cqp;
+//Copyright © - ANR Textométrie - http://textometrie.ens-lyon.fr
+//
+//This file is part of the TXM platform.
+//
+//The TXM platform is free software: you can redistribute it and/or modif y
+//it under the terms of the GNU General Public License as published by
+//the Free Software Foundation, either version 3 of the License, or
+//(at your option) any later version.
+//
+//The TXM platform is distributed in the hope that it will be useful,
+//but WITHOUT ANY WARRANTY; without even the implied warranty of
+//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+//GNU General Public License for more details.
+//
+//You should have received a copy of the GNU General Public License
+//along with the TXM platform.  If not, see <http://www.gnu.org/licenses/>.
+//
+//
+//
+//$LastChangedDate: 2012-06-01 17:47:31 +0200 (ven., 01 juin 2012) $
+//$LastChangedRevision: 2185 $
+//$LastChangedBy: mdecorde $
+//
+
+import org.txm.importer.*;
+import org.xml.sax.Attributes;
+import org.txm.importer.filters.*;
+import java.io.File;
+import java.io.IOException;
+import java.util.ArrayList;
+import javax.xml.parsers.SAXParserFactory;
+import javax.xml.parsers.ParserConfigurationException;
+import javax.xml.parsers.SAXParser;
+import javax.xml.stream.*;
+import java.net.URL;
+import org.xml.sax.InputSource;
+import org.xml.sax.helpers.DefaultHandler;
+
+/** Build WTC corpus simple edition from a WTC file. 
+ * 
+ * @author mdecorde
+ */
+class pager {
+	List<String> NoSpaceBefore;
+
+	/** The No space after. */
+	List<String> NoSpaceAfter;
+
+	/** The wordcount. */
+	int wordcount = 0;
+
+	/** The pagecount. */
+	int pagecount = 0;
+
+	/** The wordmax. */
+	int wordmax = 0;
+
+	/** The basename. */
+	String basename = "";
+	String txtname = "";
+	File outdir;
+
+	/** The wordid. */
+	String wordid;
+
+	/** The first word. */
+	boolean firstWord = true;
+
+	/** The wordvalue. */
+	String wordvalue;
+
+	/** The interpvalue. */
+	String interpvalue;
+
+	/** The lastword. */
+	String lastword = " ";
+
+	/** The wordtype. */
+	String wordtype;
+
+	/** The flagform. */
+	boolean flagform = false;
+
+	/** The flaginterp. */
+	boolean flaginterp = false;
+
+	/** The url. */
+	private def url;
+
+	/** The input data. */
+	private def inputData;
+
+	/** The factory. */
+	private def factory;
+
+	/** The parser. */
+	private XMLStreamReader parser;
+
+	/** The writer. */
+	OutputStreamWriter writer;
+
+	/** The pagedWriter. */
+	OutputStreamWriter pagedWriter = null;
+
+	/** The cqpFile. */
+	File cqpFile;
+
+	/** The outfile. */
+	File outfile;
+
+	/** The pages. */
+	def pages = [:];
+
+	/** The idxstart. */
+	def idxstart = [:]
+	String editionPage;
+	ArrayList<Integer> splitTUs; // contains the tu ids used to split pages
+	boolean shouldSplit = false;
+	boolean useSplitTUs = false;
+	boolean hasWordId = false;
+	int noWordIdProperty = -1;
+	/**
+	 * Instantiates a new pager.
+	 *
+	 * @param cqpFile the cqpFile
+	 * @param outfile the outfile
+	 * @param NoSpaceBefore the no space before
+	 * @param NoSpaceAfter the no space after
+	 * @param max the max
+	 * @param basename the basename
+	 */
+	pager(File cqpFile, File outdir, List<String> NoSpaceBefore,
+	List<String> NoSpaceAfter, int max, String basename, boolean hasWordId, List pAttrs) {
+		this.editionPage = editionPage;
+		this.basename = basename;
+		this.txtname = "text1";
+		this.outdir = outdir;
+		this.wordmax = max;
+		this.NoSpaceBefore = NoSpaceBefore;
+		this.NoSpaceAfter = NoSpaceAfter;
+		this.cqpFile = cqpFile;
+		this.hasWordId = hasWordId;
+		if (hasWordId) {
+			noWordIdProperty = pAttrs.indexOf("id") + 1;
+			if (noWordIdProperty == 0)
+			hasWordId = false;
+		}
+		
+		process();
+	}
+
+	private void closeMultiWriter()
+	{
+		if (pagedWriter != null) {
+			if (firstWord) { // there was no words
+				this.idxstart[txtname] = ["w_0"]
+				pagedWriter.write("<span id=\"w_0\"/>");
+			}
+			pagedWriter.write("</p>\n")
+			pagedWriter.write("</body>");
+			pagedWriter.write("</html>");
+			pagedWriter.close();
+		}
+	}
+
+	/**
+	 * Creates the next output.
+	 *
+	 * @return true, if successful
+	 */
+	private boolean createNextOutput()
+	{
+		wordcount = 0;
+		shouldSplit = false;
+		try {
+			closeMultiWriter();
+			File outfile = new File(outdir, txtname+"_"+(++pagecount)+".html")
+			//println "outfile: "+outfile
+			if (pages[txtname] == null) pages[txtname] = []
+			pages[txtname] << outfile;
+			firstWord = true; // waiting for next word
+
+			pagedWriter = new OutputStreamWriter(new BufferedOutputStream(new FileOutputStream(outfile)) , "UTF-8");
+			pagedWriter.write("<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n");
+			pagedWriter.write("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\"   \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">\n")
+			pagedWriter.write("<html>");
+			pagedWriter.write("<head>");
+			pagedWriter.write("<title>"+basename.toUpperCase()+" $txtname Edition - Page "+pagecount+"</title>");
+			pagedWriter.write("<link rel=\"stylesheet\" type=\"text/css\" href=\"tmx.css\"/>");
+			pagedWriter.write("<link rel=\"stylesheet\" type=\"text/css\" href=\"style.css\"/>");
+			pagedWriter.write("<meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\"/>");
+			pagedWriter.write("</head>");
+			pagedWriter.write("<body>");
+
+			return true;
+		} catch (Exception e) {
+			System.out.println(e.getLocalizedMessage());
+			return false;
+		}
+	}
+
+	/**
+	 * Creates the output.
+	 *
+	 * @param outfile the outfile
+	 * @return true, if successful
+	 */
+	private boolean createOutput() {
+		try {
+			return createNextOutput();
+		} catch (Exception e) {
+			System.out.println(e.getLocalizedMessage());
+			return false;
+		}
+	}
+
+	/**
+	 * Gets the page files.
+	 *
+	 * @return the page files
+	 */
+	public def getPageFiles() {
+		return pages;
+	}
+
+	/**
+	 * Gets the idx.
+	 *
+	 * @return the idx
+	 */
+	public def getIdx() {
+		return idxstart;
+	}
+
+	def texts = []
+
+	/**
+	 * Process.
+	 */
+	void process() {
+
+		String localname = "";
+		String lastword= "";
+		createNextOutput();
+		int wcounter = 1;
+		int txtwcounter = 1;
+
+		BufferedReader reader = new BufferedReader(new InputStreamReader(new FileInputStream(cqpFile) , "UTF-8"));
+		String line = reader.readLine();
+		int cline = 0;
+		while (line != null) {
+			pagedWriter.flush();
+			cline++;
+			//println "line: "+line
+			if (line.startsWith("<")) {
+				if (line.startsWith("<lb/") || line.startsWith("<br/") || line.startsWith("</p>") || 
+					line.startsWith("<lb>") || line.startsWith("<br>")) {
+					pagedWriter.write("<br/>");
+				} 
+				if (line.startsWith("<text>") || line.startsWith("<text ")) {
+					String tmp = line;
+					int idx = tmp.indexOf("id=\"");
+					if (idx > 0) {
+						tmp = tmp.substring(idx+4);
+						//println "tmp1: "+tmp
+						int idx2 = tmp.indexOf("\"");
+						//println "tmp2: "+tmp
+						if (idx2 > 0) {
+							tmp = tmp.substring(0, idx2);
+							txtname = tmp
+							texts << txtname;
+							pagecount = 0;
+							createNextOutput();
+						}
+					}
+				} else if (line.startsWith("<s>") || line.startsWith("<s ")) {
+					pagedWriter.write(line.replaceAll("<s", "<sent "));
+				} else if (line.startsWith("</s>")) {
+					pagedWriter.write("</sent>");
+				}  else if (line.startsWith("<pb/>") || line.startsWith("<pb>")) {
+					pagedWriter.write(line);
+					txtwcounter = 1;
+					createNextOutput();
+				} else {
+					pagedWriter.write(line);
+				}
+			} else { // word
+				if (txtwcounter > wordmax) {
+					txtwcounter = 1;
+					createNextOutput();
+				}
+				def split = line.split("\t");
+				if (split == null || split.size() == 0) {
+					// empty line
+				} else {
+					String wordid;
+					if (hasWordId) {
+						if (split.size() <= noWordIdProperty) { // +1 since line contains word
+							println "Error: line $cline"
+						} else {
+							wordid = split[noWordIdProperty];
+						}
+					} else {
+						wordid = "w_"+(wcounter++);
+					}
+					txtwcounter++;
+					String wordvalue = split[0];
+
+					if (firstWord) {
+						firstWord = false;
+						if (this.idxstart[txtname] == null) {
+							this.idxstart[txtname] = []
+						}
+						this.idxstart[txtname] << [wordid];
+					}
+
+					int l = lastword.length();
+					String endOfLastWord = "";
+					if (l > 0) {
+						endOfLastWord = lastword.subSequence(l-1, l);
+					}
+
+					String interpvalue = "";
+					if (split.size() > 1) {
+						interpvalue = split[1..split.size()-1].join(" ")
+						interpvalue = interpvalue.replace("&", "&amp;").replace("<", "&lt;").replace("\"","&quot;");
+					}
+
+
+					if (NoSpaceBefore.contains(wordvalue) ||
+					NoSpaceAfter.contains(lastword) ||
+					wordvalue.startsWith("-") ||
+					NoSpaceAfter.contains(endOfLastWord)) {
+						pagedWriter.write("<span title=\""+interpvalue+"\" id=\""+wordid+"\">");
+					} else {
+						pagedWriter.write(" <span title=\""+interpvalue+"\" id=\""+wordid+"\">");
+					}
+
+					pagedWriter.write(wordvalue.replace("&", "&amp;").replace("\"","&quot;").replace("<", "&lt;")+"</span>\n");
+					pagedWriter.flush()
+					lastword = wordvalue;
+				}
+			}
+			line = reader.readLine();
+		}
+
+		closeMultiWriter();
+	}
+
+	def getTextNames() {
+		return texts;
+	}
+}
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/corptef/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/corptef/compiler.groovy	(revision 802)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/corptef/compiler.groovy	(revision 803)
@@ -160,7 +160,7 @@
 	}
 
 	/**
-	 * Transfom file wtc.
+	 * Transfom file cqp.
 	 *
 	 * @param dirPathName the dir path name
 	 * @param fileName the file name
@@ -515,9 +515,9 @@
 			println ("binary directory does not exists: "+rootDir)
 			return false;
 		}
-		new File(rootDir+"/wtc/","corptef.wtc").delete();//cleaning&preparing
-		new File(rootDir,"/wtc/").deleteDir();
-		new File(rootDir,"/wtc/").mkdir();
+		new File(rootDir+"/cqp/","corptef.cqp").delete();//cleaning&preparing
+		new File(rootDir,"/cqp/").deleteDir();
+		new File(rootDir,"/cqp/").mkdir();
 		new File(rootDir,"/data/").deleteDir();
 		new File(rootDir,"/data/").mkdir();
 		new File(rootDir,"registry/").mkdir();
@@ -540,7 +540,7 @@
 				String txtname = f.getName().substring(0,f.getName().length()-4);
 				def builder = new compiler(f.toURL(),txtname, "corptef", "default");
 				builder.setLang lang
-				builder.transfomFileWtc(rootDir+"/wtc","corptef.wtc");
+				builder.transfomFileWtc(rootDir+"/cqp","corptef.cqp");
 			}
 		}
 
@@ -557,7 +557,7 @@
 			String regPath = new File(outDir , "registry/corptef").getAbsolutePath();
 			cwbEn.run(
 					new File(outDir, "/data").getAbsolutePath(),
-					new File(outDir, "wtc/"+"corptef.wtc").getAbsolutePath(),
+					new File(outDir, "cqp/"+"corptef.cqp").getAbsolutePath(),
 					regPath,
 					pAttributes, sAttributes);
 			if (!new File(regPath).exists()) {
@@ -568,7 +568,7 @@
 					"CORPTEF",
 					new File(outDir, "registry").getAbsolutePath());
 		} catch (Exception ex) {System.out.println(ex); return false;}
-		// "C:\Documents and Settings\alavrent\TXM\cwb\bin\cwb-encode" -d "C:\Documents and Settings\alavrent\TXM\corpora\corptef\data" -f "C:\Documents and Settings\alavrent\TXM\corpora\corptef\wtc\corpte.wtc" -R "C:\Documents and Settings\alavrent\TXM\corpora\corptef\registry\corptef" -c utf8 -xsB -xsB -P ttpos -P ttlemme -P id -P pb -P lb -P orig -P sic -P abbr -S text:0+id+titre+auteur+datecompo+ssiecle+domaine+genre+forme+dialecte+base+project -S front:0+n -S body:0+n -S ab:0+n+rend -S div:0+id+type -S p:0+n -S back:0+n
+		// "C:\Documents and Settings\alavrent\TXM\cwb\bin\cwb-encode" -d "C:\Documents and Settings\alavrent\TXM\corpora\corptef\data" -f "C:\Documents and Settings\alavrent\TXM\corpora\corptef\cqp\corpte.cqp" -R "C:\Documents and Settings\alavrent\TXM\corpora\corptef\registry\corptef" -c utf8 -xsB -xsB -P ttpos -P ttlemme -P id -P pb -P lb -P orig -P sic -P abbr -S text:0+id+titre+auteur+datecompo+ssiecle+domaine+genre+forme+dialecte+base+project -S front:0+n -S body:0+n -S ab:0+n+rend -S div:0+id+type -S p:0+n -S back:0+n
 		System.out.println("Done.")
 
 		return true;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/transcriber/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/transcriber/compiler.groovy	(revision 802)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/transcriber/compiler.groovy	(revision 803)
@@ -131,22 +131,22 @@
 
 		sectionAttrs = new HashSet<String>() // reset section attributs set
 
-		File wtcDir = new File(binDir, "wtc")
-		new File(binDir, "wtc").delete();
-		wtcDir.mkdir();
-		if (!new File(binDir, "wtc").exists()) {
-			println "Can't create wtc directory"
+		File cqpDir = new File(binDir, "cqp")
+		new File(binDir, "cqp").delete();
+		cqpDir.mkdir();
+		if (!new File(binDir, "cqp").exists()) {
+			println "Can't create cqp directory"
 			return false;
 		}
 
-		File wtcFile = new File(wtcDir, corpusname.toLowerCase()+".wtc")
+		File cqpFile = new File(cqpDir, corpusname.toLowerCase()+".cqp")
 
 		// get all anatypes
 		for (File f : xmlfiles) {
 			getAnaTypes(f)
 		}
 		//println "ANATYPES: "+anatypes
-		if (!createOutput(wtcFile)) return false;
+		if (!createOutput(cqpFile)) return false;
 		output.write("<txmcorpus lang=\"fr\">\n")
 		output.close();
 
@@ -158,7 +158,7 @@
 				}
 		}
 
-		if (!createOutput(wtcFile)) return false;
+		if (!createOutput(cqpFile)) return false;
 		output.write("</txmcorpus>\n")
 		output.close();
 
@@ -216,7 +216,7 @@
 		//return;
 		try {
 			cwbEn.run(dataDir.getAbsolutePath(),
-					wtcFile.getAbsolutePath(),
+					cqpFile.getAbsolutePath(),
 					registryFile.getAbsolutePath(), pAttributes, sAttributes);
 			if (!registryFile.exists()) {
 				println "Error: The registry file was not created: $regPath. See https://groupes.renater.fr/wiki/txm-users/public/faq"
@@ -311,7 +311,7 @@
 		String filename = xmlfile.getName()
 		String textid = filename.substring(0, filename.length() - 4);
 
-		createOutput(new File(outdir, "wtc/"+corpusname.toLowerCase()+".wtc"));
+		createOutput(new File(outdir, "cqp/"+corpusname.toLowerCase()+".cqp"));
 		String localname;
 
 		//get all metadatas declared before Episode tag
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xmltxm/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xmltxm/compiler.groovy	(revision 802)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/xmltxm/compiler.groovy	(revision 803)
@@ -176,15 +176,15 @@
 	}
 
 	/**
-	 * Transfom file wtc.
+	 * Transfom file cqp.
 	 *
 	 * @param dirPathName the dir path name
 	 * @param fileName the file name
 	 * @return true, if successful
 	 */
-	public boolean transfomFileWtc(File wtcFile)
+	public boolean transfomFileWtc(File cqpFile)
 	{
-		createOutput(wtcFile);
+		createOutput(cqpFile);
 		String headvalue=""
 		String vAna = "";
 		String vForm = "";
@@ -356,9 +356,9 @@
 			return false;
 		}
 
-		File wtcFile = new File(binDir,"wtc/"+corpusname.toLowerCase()+".wtc");
-		new File(rootDir,"/wtc/").deleteDir();
-		new File(rootDir,"/wtc/").mkdir();
+		File cqpFile = new File(binDir,"cqp/"+corpusname.toLowerCase()+".cqp");
+		new File(rootDir,"/cqp/").deleteDir();
+		new File(rootDir,"/cqp/").mkdir();
 		new File(rootDir,"data/"+corpusname).deleteDir();
 		new File(rootDir,"data/"+corpusname).mkdir();
 		new File(rootDir,"registry/").mkdir();
@@ -373,7 +373,7 @@
 		}
 
 		//0 set Lang
-		if (createOutput(wtcFile)) {
+		if (createOutput(cqpFile)) {
 			output.write("<txmcorpus lang=\""+lang+"\">\n");
 			output.close();
 		}
@@ -388,13 +388,13 @@
 				String txtname = f.getName().substring(0,f.getName().length()-4);
 				builder = new compiler(f.toURI().toURL(), txtname, corpusname.toLowerCase(), "default");
 				builder.setLang(lang);
-				if(!builder.transfomFileWtc(wtcFile))
+				if(!builder.transfomFileWtc(cqpFile))
 					return false;
 			}
 		}
 
 		//end corpus
-		if (createOutput(wtcFile)) {
+		if (createOutput(cqpFile)) {
 			output.write("</txmcorpus>\n");
 			output.close();
 		}
@@ -448,7 +448,7 @@
 			String regPath = rootDir + "/registry/"+corpusname.toLowerCase() 
 			cwbEn.run(
 				rootDir + "/data/$corpusname", 
-				wtcFile.getAbsolutePath(), 
+				cqpFile.getAbsolutePath(), 
 				regPath, pAttributes, sAttributes);
 			if (!new File(regPath).exists()) {
 				println "Error: The registry file was not created: $regPath. See https://groupes.renater.fr/wiki/txm-users/public/faq"
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/fleurs/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/fleurs/compiler.groovy	(revision 802)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/fleurs/compiler.groovy	(revision 803)
@@ -140,7 +140,7 @@
 	}
 		
 	/**
-	 * Transfom file wtc.
+	 * Transfom file cqp.
 	 *
 	 * @param dirPathName the dir path name
 	 * @param fileName the file name
@@ -240,9 +240,9 @@
 			println ("Error: CWB executables not well set.")
 			return false;
 		}
-		new File(rootDir,"wtc/fleurs.wtc").delete();//cleaning&preparing
-		new File(rootDir,"wtc/").deleteDir();
-		new File(rootDir,"wtc/").mkdir();
+		new File(rootDir,"cqp/fleurs.cqp").delete();//cleaning&preparing
+		new File(rootDir,"cqp/").deleteDir();
+		new File(rootDir,"cqp/").mkdir();
 		new File(rootDir,"registry/").mkdir();
 		
 		//1- Transform into WTC file
@@ -257,7 +257,7 @@
 				String txtname = f.getName().substring(0,f.getName().length()-4);
 				def builder = new compiler(f.toURL(), txtname, "fleurs", "default");
 				builder.setLang lang
-				builder.transfomFileWtc(rootDir,"wtc/fleurs.wtc");
+				builder.transfomFileWtc(rootDir,"cqp/fleurs.cqp");
 			}
 		}
 		
@@ -275,7 +275,7 @@
 		
 		try {
 			String regPath = outDirTxm + "/registry/"+"fleurs"
-			cwbEn.run(outDirTxm + "data", outDir + "/wtc/"+"fleurs.wtc", regPath,pAttributes, sAttributes);
+			cwbEn.run(outDirTxm + "data", outDir + "/cqp/"+"fleurs.cqp", regPath,pAttributes, sAttributes);
 			if (!new File(regPath).exists()) {
 				println "Error: The registry file was not created: $regPath. See https://groupes.renater.fr/wiki/txm-users/public/faq"
 				return false;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/XMLTXM2WTC.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/XMLTXM2WTC.groovy	(revision 802)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/XMLTXM2WTC.groovy	(revision 803)
@@ -41,7 +41,7 @@
  * The Class XMLTXM2WTC.
  *
  * @author mdecorde
- * simple transofmration of a xml-tei-txm file into wtc file
+ * simple transofmration of a xml-tei-txm file into cqp file
  */
 
 class XMLTXM2WTC
@@ -115,7 +115,7 @@
 	}
 	
 	/**
-	 * Instantiates a new xMLTX m2 wtc.
+	 * Instantiates a new xMLTX m2 cqp.
 	 *
 	 * @param url the url
 	 */
@@ -490,15 +490,15 @@
 		
 		File srcfile = new File(rootDir,"CORNEILLEP_AGESILAS_1666.xml");
 		println srcfile.exists()
-		File wtcfile = new File(rootDir, "out/CORNEILLEP_AGESILAS_1666.wtc");
+		File cqpfile = new File(rootDir, "out/CORNEILLEP_AGESILAS_1666.cqp");
 		new File(rootDir,"out").deleteDir()
 		new File(rootDir,"out").mkdir()
 		
-		System.out.println("XMLTXM2WTC : "+srcfile+" >> "+wtcfile);
+		System.out.println("XMLTXM2WTC : "+srcfile+" >> "+cqpfile);
 		def builder = new XMLTXM2WTC(srcfile.toURL());
 		def balises = ["text", "s"];
 		builder.setBalisesToKeep(balises);
-		builder.transformFile(wtcfile);
+		builder.transformFile(cqpfile);
 		
 		println("SATTRIBUTS: "+builder.getsAttributs());
 		println("PATTRIBUTS: "+builder.getpAttributs());
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/limsi/importer.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/limsi/importer.groovy	(revision 802)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/limsi/importer.groovy	(revision 803)
@@ -128,7 +128,7 @@
 			int idx = filename.lastIndexOf(".");
 			if (idx > 0) filename = filename.substring(0, idx)
 
-			File outfile = new File(txmDir, filename+".wtc")
+			File outfile = new File(txmDir, filename+".cqp")
 			
 			if (outfile.exists() && outfile.lastModified() >= infile.lastModified()) {
 				// skip
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/limsi/LimsiToCQP.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/limsi/LimsiToCQP.groovy	(revision 802)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/limsi/LimsiToCQP.groovy	(revision 803)
@@ -16,7 +16,7 @@
 		
 		URL url = xmlfile.toURI().toURL();
 		String filename = outfile.getName()
-		filename = filename.substring(0, filename.length()-4); // remove ".wtc"
+		filename = filename.substring(0, filename.length()-4); // remove ".cqp"
 		def inputData = url.openStream();
 		XMLInputFactory factory = XMLInputFactory.newInstance();
 		XMLStreamReader parser = factory.createXMLStreamReader(inputData);
@@ -71,7 +71,7 @@
 
 	public static void main(String[] args) {
 		File infile = new File("/home/mdecorde/xml/limsi","20071220_1900_1920_inter.xml")
-		File outfile = new File("/home/mdecorde/xml/limsi","out.wtc")
+		File outfile = new File("/home/mdecorde/xml/limsi","out.cqp")
 		def processor = new LimsiToCQP(infile);
 		println processor.process(outfile);
 	}
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/limsi/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/limsi/compiler.groovy	(revision 802)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/limsi/compiler.groovy	(revision 803)
@@ -99,9 +99,9 @@
 			return false
 		}
 
-		//File wtcFile = new File(binDir,"wtc/"+corpusname+".wtc")
-		new File(binDir, "wtc").deleteDir()
-		new File(binDir, "wtc").mkdir()
+		//File cqpFile = new File(binDir,"cqp/"+corpusname+".cqp")
+		new File(binDir, "cqp").deleteDir()
+		new File(binDir, "cqp").mkdir()
 		new File(binDir, "data").deleteDir()
 		new File(binDir, "data").mkdir()
 		new File(binDir, "registry").mkdir()
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/txt/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/txt/compiler.groovy	(revision 802)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/txt/compiler.groovy	(revision 803)
@@ -183,9 +183,9 @@
 			return false;
 		}
 		
-		File wtcFile = new File(binDir,"wtc/"+corpusname+".wtc");
-		new File(binDir, "wtc").deleteDir();
-		new File(binDir, "wtc").mkdir();
+		File cqpFile = new File(binDir,"cqp/"+corpusname+".cqp");
+		new File(binDir, "cqp").deleteDir();
+		new File(binDir, "cqp").mkdir();
 		new File(binDir, "data").deleteDir();
 		new File(binDir, "data").mkdir();
 		new File(binDir, "registry").mkdir();
@@ -194,36 +194,36 @@
 		int counttext =0;
 		
 		//start corpus
-		if (createOutput(wtcFile)) {
+		if (createOutput(cqpFile)) {
 			output.write("<txmcorpus lang=\""+lang+"\">\n");
 			output.close();
 		}
 		
 		//1- Transform into WTC file
 		println("Compiling "+txmDir.listFiles().length+" files")
-		XMLTXM2WTC wtcbuilder = null;
+		XMLTXM2WTC cqpbuilder = null;
 		ArrayList<File> files = txmDir.listFiles();
 		Collections.sort(files);
 		for (File txmfile : files) {
 			print "."
-			wtcbuilder = new XMLTXM2WTC(txmfile.toURI().toURL());
+			cqpbuilder = new XMLTXM2WTC(txmfile.toURI().toURL());
 			String txtname = txmfile.getName().substring(0,txmfile.getName().length()-4);
-			wtcbuilder.setTextInfo(txtname, this.base, this.project);
+			cqpbuilder.setTextInfo(txtname, this.base, this.project);
 
-			wtcbuilder.setBalisesToKeep(["text","s"]);
-			wtcbuilder.setSendToPAttributes(["lb":["n"]]);
-			wtcbuilder.setLang(lang);
-			if (!wtcbuilder.transformFile(wtcFile)) {
+			cqpbuilder.setBalisesToKeep(["text","s"]);
+			cqpbuilder.setSendToPAttributes(["lb":["n"]]);
+			cqpbuilder.setLang(lang);
+			if (!cqpbuilder.transformFile(cqpFile)) {
 				println("Failed to compile "+txmfile)
 			}
 			
-//			println "$txmfile pAttrs : "+wtcbuilder.getpAttributs()
-//			println "$txmfile sAttrs : "+wtcbuilder.getsAttributs()
+//			println "$txmfile pAttrs : "+cqpbuilder.getpAttributs()
+//			println "$txmfile sAttrs : "+cqpbuilder.getsAttributs()
 		}
 		println ""
 		
 		//end corpus
-		if (createOutput(wtcFile)) {
+		if (createOutput(cqpFile)) {
 			output.write("</txmcorpus>\n");
 			output.close();
 		}
@@ -236,11 +236,11 @@
 		cwbEn.setDebug(debug);
 		cwbMa.setDebug(debug);
 		
-		if(wtcbuilder == null)
+		if(cqpbuilder == null)
 			return false;
 		
-		List<String> pAttributesList = wtcbuilder.getpAttributs(); // use last text s and p attributes
-		List<String> sAttributesList = wtcbuilder.getsAttributs();
+		List<String> pAttributesList = cqpbuilder.getpAttributs(); // use last text s and p attributes
+		List<String> sAttributesList = cqpbuilder.getsAttributs();
 		println "pAttrs : "+pAttributesList
 		println "sAttrs : "+sAttributesList
 		String[] pAttributes = pAttributesList.toArray(new String[pAttributesList.size()])
@@ -248,7 +248,7 @@
 		
 		try {
 			String regPath = outDir + "/registry/"+corpusname.toLowerCase();
-			cwbEn.run(outDir + "/data/$corpusname", outDir + "/wtc/"+corpusname+".wtc", regPath, pAttributes, sAttributes);
+			cwbEn.run(outDir + "/data/$corpusname", outDir + "/cqp/"+corpusname+".cqp", regPath, pAttributes, sAttributes);
 			if (!new File(regPath).exists()) {
 				println "Error: The registry file was not created: $regPath. See https://groupes.renater.fr/wiki/txm-users/public/faq"
 				return false;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/importer/hyperbase/compiler.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/importer/hyperbase/compiler.groovy	(revision 802)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/importer/hyperbase/compiler.groovy	(revision 803)
@@ -195,15 +195,15 @@
 			println ("binary directory does not exists: "+rootDir)
 			return false;
 		}
-		File wtcFile = new File(binDir,"wtc/"+corpusname+".wtc");
-		new File(binDir,"wtc").deleteDir();
-		new File(binDir,"wtc").mkdir();
+		File cqpFile = new File(binDir,"cqp/"+corpusname+".cqp");
+		new File(binDir,"cqp").deleteDir();
+		new File(binDir,"cqp").mkdir();
 		new File(binDir,"data").deleteDir();
 		new File(binDir,"data").mkdir();
 		new File(binDir,"registry").mkdir();
 		
 		//start corpus
-		if (createOutput(wtcFile)) {
+		if (createOutput(cqpFile)) {
 			output.write("<txmcorpus lang=\""+lang+"\">\n");
 			output.close();
 		}
@@ -213,7 +213,7 @@
 		List<File> files = txmDir.listFiles();
 		Collections.sort(files);
 		//1- Transform into WTC file
-		XMLTXM2WTC wtcbuilder = null;
+		XMLTXM2WTC cqpbuilder = null;
 		println("Compiling "+files.size()+" files")
 		for (File f : files) {
 			print "."
@@ -222,14 +222,14 @@
 				println("file "+f+ " does not exists")	
 			}
 			else {	
-				wtcbuilder = new XMLTXM2WTC(f.toURI().toURL());
+				cqpbuilder = new XMLTXM2WTC(f.toURI().toURL());
 				String txtname = f.getName().substring(0,f.getName().length()-4);
-				wtcbuilder.setTextInfo(txtname, corpusname, "project");
+				cqpbuilder.setTextInfo(txtname, corpusname, "project");
 
-				wtcbuilder.setBalisesToKeep(["text","p","s"]);
-				wtcbuilder.setSendToPAttributes(["s":["n"]]);
-				wtcbuilder.setLang(lang);
-				if (!wtcbuilder.transformFile(wtcFile)) {
+				cqpbuilder.setBalisesToKeep(["text","p","s"]);
+				cqpbuilder.setSendToPAttributes(["s":["n"]]);
+				cqpbuilder.setLang(lang);
+				if (!cqpbuilder.transformFile(cqpFile)) {
 					println("Failed to compile "+f)
 				}
 			}
@@ -237,12 +237,12 @@
 		println ""
 		
 		//end corpus
-		if (createOutput(wtcFile)) {
+		if (createOutput(cqpFile)) {
 			output.write("</txmcorpus>\n");
 			output.close();
 		}
 		
-		if (wtcbuilder == null) return false;
+		if (cqpbuilder == null) return false;
 		
 		//2- Import into CWB
 		def outDir =rootDir;
@@ -252,8 +252,8 @@
 		CwbMakeAll cwbMa = new CwbMakeAll();
 		cwbMa.setDebug(debug);
 		
-		List<String> pAttributesList = wtcbuilder.getpAttributs();
-		List<String> sAttributesList = wtcbuilder.getsAttributs();
+		List<String> pAttributesList = cqpbuilder.getpAttributs();
+		List<String> sAttributesList = cqpbuilder.getsAttributs();
 		println "word properties : "+pAttributesList
 		println "structures : "+sAttributesList
 		String[] pAttributes = pAttributesList.toArray(new String[pAttributesList.size()])
@@ -261,7 +261,7 @@
 		
 		try {
 			String regPath = outDir + "/registry/"+corpusname.toLowerCase();
-			cwbEn.run(outDir + "/data/$corpusname", outDir + "/wtc/"+corpusname+".wtc", regPath,pAttributes, sAttributes);
+			cwbEn.run(outDir + "/data/$corpusname", outDir + "/cqp/"+corpusname+".cqp", regPath,pAttributes, sAttributes);
 			if (!new File(regPath).exists()) {
 				println "Error: The registry file was not created: $regPath. See https://groupes.renater.fr/wiki/txm-users/public/faq"
 				return false;
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macroproto/RunImportMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macroproto/RunImportMacro.groovy	(revision 802)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macroproto/RunImportMacro.groovy	(revision 803)
@@ -39,7 +39,7 @@
 scripts["CNRCSV"] = "discoursLoader.groovy"
 scripts["HYPERBASE"] = "hyperbaseLoader.groovy"
 scripts["ALCESTE"] = "alcesteLoader.groovy"
-scripts["CWB"] = "wtcLoader.groovy"
+scripts["CWB"] = "cqpLoader.groovy"
 scripts["DOC"] = "docLoader.groovy"
 
 def scriptName = scripts.get(importName)
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/testTT.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/testTT.groovy	(revision 802)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/testTT.groovy	(revision 803)
@@ -78,7 +78,7 @@
 
 //Import to CWB
 BuildXmlRGAQCJ.process( anafiles,  rootDir)
-println("build wtc RGAQCJ");
+println("build cqp RGAQCJ");
 println("encode + makeall");
 
 //create TT TRAIN files
Index: tmp/org.txm.groovy.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.groovy.core/META-INF/MANIFEST.MF	(revision 802)
+++ tmp/org.txm.groovy.core/META-INF/MANIFEST.MF	(revision 803)
@@ -68,6 +68,7 @@
  org.txm.importer.bfm,
  org.txm.importer.bvh,
  org.txm.importer.corptef,
+ org.txm.importer.cqp,
  org.txm.importer.discours,
  org.txm.importer.doc,
  org.txm.importer.factiva,
@@ -83,7 +84,6 @@
  org.txm.importer.tmx,
  org.txm.importer.transcriber,
  org.txm.importer.txt,
- org.txm.importer.wtc,
  org.txm.importer.xml,
  org.txm.importer.xmltxm,
  org.txm.importer.xmltxmpara,
